# express-brute-sequelize-js

[![Circle CI](https://circleci.com/gh/riipen/express-brute-sequelize-js.svg?style=svg)](https://circleci.com/gh/riipen/express-brute-sequelize-js)

[![npm install --save express-brute-sequelize-js](https://nodei.co/npm/express-brute-sequelize-js.png)](https://npmjs.org/package/express-brute-sequelize-js)

Sequelize MySQL store adapter for the [express-brute](https://github.com/AdamPflug/express-brute).

## Purpose

Used for stripping out special characters from all request parameters, thus avoiding basic
injection attacks through invalid parameters.

## Installation

```bash
$ npm install --save express-brute-sequelize-js
```

## Usage

```javascript
var ExpressBrute = require('express-brute');
var SequelizeStore = require('express-brute-sequelize-js');
var Sequelize = require('sequelize');

var sequelize = new Sequelize('test', 'root', 'root', {
  host: "127.0.0.1",
  dialect: "mysql",
  logging: false
});

var store = new SequelizeStore(sequelize, 'bruteStore', {});
store.migrate();

var bruteforce = new ExpressBrute(store);

app.post('/session',
  bruteforce.prevent, // error 403 if too many requests for this route in short time
  function(req, res, next){
    res.send('Success!');
  }
);
```

## Issue Reporting

If you have found a bug or if you have a feature request, please report them at this repository issues section.

## License

This project is licensed under the MIT license. See the [LICENSE](LICENSE.txt) file for more info.
